<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

$related = $product->get_related( $posts_per_page );

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'				=> 'product',
	'ignore_sticky_posts'	=> 1,
	'no_found_rows' 		=> 1,
	'posts_per_page' 		=> $posts_per_page,
	'orderby' 				=> $orderby,
	'post__in' 				=> $related,
	'post__not_in'			=> array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = $columns; ?>

	<div class="single-product-share">
		<?php do_action( 'eltd_woocommerce_before_related_products' ); ?>
		<div class="single-product-print-holder">
			<a href="#" class="single-product-print-wrapper">
				<span class="icon-printer print_icon"></span>
				<span class="single-product-print-text">Print</span>
			</a>
		</div>
	</div>
<?php
if ( $products->have_posts() ) : ?>

	<div class="related products">

		<h4 class="related-products-title"><?php _e( 'You may also like', 'woocommerce' ); ?></h4>

		<?php woocommerce_product_loop_start(); ?>

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<?php wc_get_template_part( 'content', 'product' ); ?>

			<?php endwhile; // end of the loop. ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();
